#ifndef CRATE_CONTROLLER_HPP_
#define CRATE_CONTROLLER_HPP_

#include <Controller/InventoryController/InventoryController.hpp>

/**
 * @brief The 'crate' controller.
 */
class CrateController : public InventoryController
{
public:
    CrateController(ControllerChannel &channel);

    void onConnect(std::shared_ptr<Machine> crateMachine);

    virtual Widget* getRightPanel() override;
};

#endif